/*
 * Common Library for TBAS Softwares
 *
 * All Rights Reserved.
 * (c) Copyright 2002 by Tsukuba Bunko.
 *
 * $Id: MessageFormatDeserializer.java,v 1.1 2003/08/31 08:20:49 ppoi Exp $
 */
package tsukuba_bunko.resource;

import	java.text.MessageFormat;

import org.xml.sax.SAXException;

/**
 * MessageFormart 型のリソースを deserialize する Deserializer です。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1 $
 */
public class MessageFormatDeserializer	extends SimpleDeserializer	{

	/**
	 * <code>MessageFormatDeserializer</code> のインスタンスを生成します。
	 */
	public MessageFormatDeserializer()
	{
		super();
	}


//
//	SimpleDeserializer の実装
//
	protected Object convertValue( String source )
		throws SAXException
	{
		return new MessageFormat( source );
	}
}
